import Customer;

public class NegotiatedPrice implements PriceBuilder
{
	protected float fBasePrice;
	protected float fDiscount;
	protected String szCurrency;
	
	public NegotiatedPrice( Customer newCustomer, String szNewCurrency )
	{
		this.fBasePrice = newCustomer.getBasePrice();
		this.fDiscount = newCustomer.getDiscount();
		this.szCurrency = szNewCurrency;
	}
	
	public float getUnitPrice( int iQuantity )
	{
		return this.getBasePrice() - this.getDiscount( iQuantity );
	}
		
	public float getBasePrice()
	{
		return this.fBasePrice;
	}
	
	public float getDiscount( int iQuantity )
	{
		return this.fDiscount;
	}

	public String getCurrency()
	{
		return this.szCurrency;
	}
	
}