import java.awt.*;
import java.awt.event.*; //fr WindowListener

public class ProviderWindow implements WindowListener
{
	Frame providerFrame;
	MenuBar providerMenuBar;
	
	public ProviderWindow( String szFrameName)
	{
		Dimension windowDimension = new Dimension( 640, 480 );
		Cursor windowCursor = new Cursor( Cursor.CROSSHAIR_CURSOR );
		
		providerFrame = new Frame( szFrameName );
		providerFrame.setSize( windowDimension );
		providerFrame.setCursor( windowCursor );
		
		this.createMenuBar();		
		providerFrame.setMenuBar( providerMenuBar );
		
		providerFrame.setVisible( true );
		
		//to get Window events
		providerFrame.addWindowListener( this );
		
		this.createWelcomeMessage();
	}
	
	private void createMenuBar()
	{
		Menu myMenu[] = new Menu[3];
		MenuItem myMenuItem[][] = new MenuItem[3][2];
		Menu myHelp = new Menu("H I L F E !");
		MenuItem myHelpItem[] = new MenuItem[3];
		
		myMenu[0] = new Menu("Date");
		myMenu[1] = new Menu("Month");
		myMenu[2] = new Menu("Year");
		
		myMenuItem[0][0] = new MenuItem("Set");
		myMenuItem[0][1] = new MenuItem("Get");

		myMenuItem[1][0] = new MenuItem("Set");
		myMenuItem[1][1] = new MenuItem("Get");
		
		myMenuItem[2][0] = new MenuItem("Set");
		myMenuItem[2][1] = new MenuItem("Get");
		
		myHelpItem[0] = new MenuItem("About");
		myHelpItem[1] = new MenuItem("-");
		myHelpItem[2] = new MenuItem("Index");
		
		providerMenuBar = new MenuBar( );
				
		for (int i=0; i<myMenu.length; i++)
		{
			providerMenuBar.add( myMenu[i] );
			myMenu[i].add( myMenuItem[i][0] );
			myMenu[i].add( myMenuItem[i][1] );
			providerMenuBar.add( myMenu[i] );
		}

		for (int i=0; i<myHelpItem.length; i++)
			myHelp.add( myHelpItem[i] );
		
		providerMenuBar.setHelpMenu( myHelp );
	}
	
	private void createWelcomeMessage()
	{
		Dialog newDialog = new Dialog( this.providerFrame, "Welcome Window", true );
		TextArea newTextArea = new TextArea( "Welcome to fxEnterprises\nthe most famous company!", 50, 20, TextArea.SCROLLBARS_NONE );
		
		newDialog.add( newTextArea );
		
		newDialog.show();
		
		newDialog.addWindowListener( this );
	}
	
	//WindowListener Methods
	public void windowActivated(WindowEvent event)
	{
		
	}
		
	public void windowClosed(WindowEvent event)
	{
		
	}
		
	public void windowClosing(WindowEvent event)
	{
		providerFrame.dispose();
		System.exit(0);
	}
	
	public void windowDeactivated(WindowEvent event)
	{
		
	}
	
	public void windowDeiconified(WindowEvent event)
	{
		
	}

	public void windowIconified(WindowEvent event)
	{
		
	}

	public void windowOpened(WindowEvent event)
	{
		
	}
	//end WindowListener Methods
	
}