import OfficeSupply;

public class RegularPrice implements PriceBuilder
{
	protected float fBasePrice;
	protected float fMaxDiscount;
	protected String szCurrency;
	
	public RegularPrice( OfficeSupply newOfficeSupply, String szNewCurrency )
	{
		this.fBasePrice = newOfficeSupply.getBasePrice();
		this.fMaxDiscount = newOfficeSupply.getMaxDiscount();
		this.szCurrency = szNewCurrency;
	}
	
	public float getUnitPrice( int iQuantity )
	{
		return this.getBasePrice() - this.getDiscount( iQuantity );
	}
		
	public float getBasePrice()
	{
		return this.fBasePrice;
	}
	
	public float getDiscount( int iQuantity )
	{		
		if (iQuantity < 10)
			return this.fMaxDiscount / 4;
		else if (iQuantity < 50)
			return this.fMaxDiscount / 2;
		else
			return this.fMaxDiscount;
	}

	public String getCurrency()
	{
		return this.szCurrency;
	}
	
}